%------------------------------------------------------%
% Restoration program in the presence of Poisson noise %
%                                                      %
% For theoretical aspects please refer to :            %
%      http://arxiv.org/pdf/0911.1536                  %
%------------------------------------------------------%



clc
close all
clear all
addpath DTT/filters
addpath DTT/dual-tree
addpath Parameter_estimation
addpath Images
addpath include

% Degradation parameters
alpha= 0.1;                % Scaling parameter for Poisson noise
L=7;                        % Kernel size blur

% DTT parameters
M='sym3';                   % Filter                  
rm=3;                       % Decomposition level

% Parallel ProXimal Algorithm parameters
niter=100;                   % Iterations number              
lambda=1.8;                 % Relaxation parameter in ]0,2[
gamma= 100;                 % Step-size parameter : gamma>0
cte_l1 = 0.1;               % Wavelet-frame regularization coef.
cte_tv = 0.006;             % Total variation coef.
coef_reg = [cte_l1,cte_tv]; 


%Load image
load boat_256.mat
x = double(x);
nomImage = 'boat_256';      %Image name to data registration



deblurPoisson_Hybrid_TV_l1DTT(x,M,rm,niter,L,alpha,nomImage,gamma,lambda,coef_reg);
  